MRENAME(1)

NAME
mrename - program to rename files

SYNOPSIS
mrename 'pattern' prefix [option]

DESCRIPTION
This manual page documents briefly the mrename command. This manual page was written for the Debian GNU/Linux distribution because the original program does not have a manual page.

mrename is a tool for easy and automatic renaming of many files. The 'pattern' is the pattern to search files to rename (quoted to avoid that bash resolve it), and prefix is the prefix that will be added to the name of each file. The two alternative options for copying or moving files in the new name are explained below. All parameters are needed, and you have to stay and launch the script in the same directory of the files to be renamed. The program should be able to write in this directory.

OPTIONS
There are only the following three options.

-c  The option -c will copy each file with the new filename.

-m  The option -m will move each file in the new filename.

-h  Display help.

EXAMPLE
If you have a directory with two jpeg images prof.jpg and forp.jpg and you want to add them a prefix like item0, item1 etc.. (that is item0prof.jpg, item1forp.jpg etc..) do this:

   cd /path/to/the/images
   mrename '*.jpg' item -c

to copy each matching file into another with the new name

   mrename '*.jpg' item -m

to rename each file without keeping a copy with the previous name

Word-Wide-Web:
http://alfalinux.sourceforge.net/mrename.php3

AUTHOR:
Giancarlo -rofus- Erra
e-mail: rofus@mindless.com

This manual page was written by Dr. Guenter Bechly <gbechly@debian.org>, for the Debian GNU/Linux system (but may be used by others). It is distributed under the GPL just like mrename itself.